调用这位前辈写的Api起先是失败的,因为要安装python,并设置环境变量,觉得不是很方便,后前辈又发帖可以直接调用python嵌入版本,这样就免去了安装python的麻烦,直接带一个解释器就可以了。我对嵌入版本的文件进行了精简之后,发现只要带python36.zip压缩包和一个python36.dll 就可以了,python36.dll 就是核心的调用api相当于解释器吧,python36.zip里面就是基础库了。
其次调用python36.dll的易语言api源码,前辈的源码没有线程加锁,需要在调用前后加许可证。另写了个线程安全的类版本,只是初步尝试写一写,代码可能不成熟,仅供参考,两种多线程调用方式大家可以自己测试一下,感觉还是前后加锁比线程安全类的方式效率高。

发表评论

后才能评论